## org.apache.poi.ss.formula.functions
Class Npv

    java.lang.Object
      org.apache.poi.ss.formula.functions.Npv

All Implemented Interfaces:
  Function

    public final class Npv

extends java.lang.Object
implements Function

Calculates the net present value of an investment by using a discount rate and a series of future payments (negative values) and income (positive values). Minimum 2 arguments, first arg is the rate of discount over the length of one period others up to 254 arguments representing the payments and income.

Author:
  SPetrakovsky, Marcel May

Constructor Summary
`Npv()`

Method Summary
`ValueEval` `evaluate(ValueEval[] args, int srcRowIndex, int srcColumnIndex)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Npv

    public Npv()

Method Detail

### evaluate

    public ValueEval evaluate(ValueEval[] args,
                              int srcRowIndex,
                              int srcColumnIndex)

  Specified by:
    `evaluate` in interface `Function`
  Parameters:
    `args` - the evaluated function arguments. Empty values are represented with `BlankEval` or `MissingArgEval`, never `null`.
    `srcRowIndex` - row index of the cell containing the formula under evaluation
    `srcColumnIndex` - column index of the cell containing the formula under evaluation
  Returns:
    The evaluated result, possibly an `ErrorEval`, never `null`. Note - Excel uses the error code #NUM! instead of IEEE NaN, so when numeric functions evaluate to `Double.NaN` be sure to translate the result to `ErrorEval.NUM_ERROR`.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.